From edc81a48bcc1f9764cf758cae167665d10f62149 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Jan 08 2022 19:51:03 +0000
Subject: [PATCH 61/88] Upgrade to Antora 3.0.0 & node 16


---

diff --git a/Dockerfile b/Dockerfile
index 455cdda..dbc89f1 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,9 +1,9 @@
 FROM fedora:34
 
-RUN dnf -y module install nodejs:14 && \
+RUN dnf -y module install nodejs:16 && \
     dnf clean all
 
-RUN npm i -g @antora/cli@2.3 @antora/site-generator-default@2.3
+RUN npm i -g @antora/cli@3.0.0 @antora/site-generator-default@3.0.0
 
 WORKDIR /antora
 ENTRYPOINT [ "antora" ]
diff --git a/build-scripts/Dockerfile b/build-scripts/Dockerfile
index 4fa459f..bc1cfea 100644
--- a/build-scripts/Dockerfile
+++ b/build-scripts/Dockerfile
@@ -1,10 +1,10 @@
 FROM fedora:34
 
-RUN dnf -y module install nodejs:14/default && \
+RUN dnf -y module install nodejs:16/default && \
     dnf -y install git python3-yaml && \
     dnf clean all
 
-RUN npm i -g @antora/cli@2.3 @antora/site-generator-default@2.3
+RUN npm i -g @antora/cli@3.0.0 @antora/site-generator-default@3.0.0
 
 ADD rebuild-site.py /antora/rebuild-site.py
 
